TUXPAINT(1)

NAZWA
tuxpaint -- Program do rysowania dla młodszych dzieci.

SKŁADNIA
tuxpaint [--help --version --usage --copying]

tuxpaint
    [--fullscreen] [--800x600] [--nosound] [--noquit] [--noprint] [--printdelay=SEKUND] [--printcfg] [--simpleshapes] [--uppercase] [--grab] [--nowheelmouse] [--nofancycursors] [--nooutlines] [--keyboard] [--savedir KATALOG] [--saveover] [--saveovernew]

tuxpaint
    [--windowed] [--640x480] [--sound] [--quit] [--print] [--printdelay=0] [--noprintcfg] [--complexshapes] [--mixedcase] [--dontgrab] [--wheelmouse] [--mouse] [--outlines] [--fancycursors] [--saveoverask]

tuxpaint
    [--locale LOCALE]

tuxpaint
    [--lang JĘZYK]

tuxpaint
    [--nosysconfig]

OPIS

Tux Paint to program do rysowania dla młodszych dzieci. Powinien być łatwy do używania i zabawny. Posiada prosty interfejs, obszar do rysowania ma stały rozmiar, a do wykonanych wcześniej obrazków mamy dostęp poprzez przeglądarkę miniatur (tzn. bez potrzeby bezpośredniego korzystania z systemu plików).

W przeciwieństwie do popularnych programów do rysowania, takich jak "The GIMP", Tux Paint zawiera bardzo ograniczony zestaw narzędzi. Jednakże, jego interfejs jest o wiele prostszy, a program został wyposażony z myślą o dzieciach w służące zabawie dodatki, takie jak efekty dżwiękowe.

OPCJE - WYŚWIETLANIE INFORMACJI

--help
    Wyświetl krótką, pomocną informację o programie Tux Paint.

--version
    Podaj informację o wersji programu.

--usage
    Wyświetl listę wszystkich opcji możliwych do użycia w wierszu poleceń.

--copying
    Pokaż licencję (GNU GPL) zgodnie z którą opublikowano Tux Painta.

OPCJE - INTERFEJS
tuxpaint rozpoznaje następujące opcje, zmieniające cechy interfejsu. Opcji tych można używać wraz z, zamiast lub aby zmienić opcje podane w plikach konfiguracyjnych. (Zobacz poniżej.)

--fullscreen --windowed
    Uruchom Tux Painta w trybie pełnoekranowym lub w oknie (domyślnie).

--800x600 --640x480
    Uruchom Tux Painta w rozdzielczości 800x600 (EKSPERYMENTALNIE) lub w rozdzielczości 640x480 (domyślnie).

--nosound --sound
    Wyłącz lub włącz (domyślnie) dźwięk.

--noquit --quit
    Wyłącz lub włącz (domyślnie) przycisk Zakończ, widoczny na ekranie.

--noprint --print
    Wyłącz lub włącz (domyślnie) polecenie Wydrukuj w Tux Paint.

--printdelay=SEKUND --printdelay=0
    Pozwoli drukować (poleceniem Wydrukuj) tylko raz na każde SEKUND sekund. Wartość domyślna to 0 (bez ograniczeń).

--printcfg --noprintcfg
    (Tylko Windows.) Włącz lub wyłącz ładowanie i zapisywanie ustawień drukarki. Domyślnie, Tux Paint będzie drukował na drukarkę domyślną z domyślnymi ustawieniami. Naciśnięcie [ALT] podczas kliknięcia na przycisk Wydrukuj spowoduje wyświetlenie okienka dialogowego drukarki Windows (o ile nie jesteś w trybie pełnoekranowym.) Jeśli użyto --printcfg, to podczas uruchamiania Tux Painta zostaną załadowane poprzednie ustawienia, a zmiany w ustawieniach zostaną zapisane do użycia następnym razem.

--simpleshapes --complexshapes
    Wyłącz lub włącz (domyślnie) etap obracania podczas używania narzędzia Kształty w Tux Paint. Kiedy pominiemy ten etap, figur nie można obracać; jednakże, interfejs jest wówczas prostszy (kliknij, przeciągnij, puść), co może być pomocne dla młodszych lub niepełnosprawnych dzieci.

--uppercase --mixedcase
    W trybie --uppercase, wszystkie okienka i narzędzie Tekst będą wyświetlać teksty pisane wielkimi literami. Jest to użyteczne dla dzieci, które nie znają jeszcze dobrze małych liter. Tryb domyślny to używanie różnych liter (ang. mixed case).

--grab --nograb
    Przechwyć myszkę i wprowadzanie z klawiatury (jeśli to możliwe), tak by używanie myszki było ograniczone do obszaru okna Tux Painta. Domyślnie nie ma przechwytywania.

--nowheelmouse --wheelmouse
    Domyślnie, kółko myszki jest wykorzystywane do przewijania palety przycisków po prawej stronie ekranu. Tę właściwość programu można zmienić, tak by zupełnie ignorował kółko - służy do tego opcja --nowheelmouse. Opcja ta jest przydatna, jeśli dziecko nie radzi sobie dobrze z myszką. Domyślnie program wykorzystuje kółko.

--nofancycursors --fancycursors
    Wyłącz lub włącz (domyślnie) 'ozdobne' kształty wskaźnika myszki w programie Tux Paint. Wprawdzie ozdobne kształty są większe i zmieniają się zależnie od kontekstu, w niektórych systemach nie są one wyświetlane poprawnie i mogą pozostawiać 'ślady' na ekranie.

--keyboard --mouse
    Opcja keyboard umożliwia sterowanie wskaźnikiem myszki w Tux Paint przy pomocy klawiatury. Klawisze ze strzałkami przesuwają wskaźnik. Spacja działa jak przycisk myszki.

--nooutlines --outlines
    W trybie nooutlines, podczas używania narzędzi Linie, Kształty, Pieczęcie i Gumka wyświetlane są znacznie uproszczone zarysy obiektów. (Może to być pomocna opcja, gdy Tux Paint jest uruchamiany na wolniejszych komputerach lub obraz wyświetlany jest na zdalnym X-terminalu.)

--savedir KATALOG
    Podaj, gdzie Tux Paint powinien zapisywać pliki. Domyślnie, w Linuksie i Uniksie jest to katalog "~/.tuxpaint/saved", a w Windows katalog "userdata\".

--saveover --saveovernew --saveoverask
    Jeśli, podczas zapisywania obrazka, ma zostać nadpisana starsza wersja pliku, Tux Paint domyślnie będzie prosił o potwierdzenie: można albo nadpisać (ang. save over) stary plik, albo utworzyć (ang. create) nowy plik. Wyświetlanie okna z pytaniem o potwierdzenie można wyłączyć podając albo --saveover (i wtedy zawsze będą nadpisywane starsze wersje obrazków) albo --saveovernew (wtedy zawsze zapisywany będzie nowy plik). Domyślnie program prosi o potwierdzenie przy zapisie (--saveoverask).

OPCJE - JĘZYK
Różne części Tux Painta zostały przetłumaczone na liczne języki. Tux Paint będzie starał się jak najbardziej respektować Twoje ustawienie locale (tzn. zmienną środowiskową LANG), jeśli to tylko możliwe. Możesz również wybrać określony język przy pomocy odpowiedniej opcji podanej w wierszu poleceń lub w pliku konfiguracyjnym.

--locale LOCALE
    Podaj język, którego należy użyć, nazwę locale (która ma zwykle postać język[_terytorium][.strona kodowa][@modyfikator], gdzie język to kod języka zgodny ze standardem ISO 639, terytorium to kod państwa zgodny z ISO 3166, a strona kodowa to oznaczenie zbioru znaków lub sposobu kodowania znaków, takie jak ISO-8859-1 lub UTF-8.)

    Na przykład, pl_PL dla polskiego, de_DE@euro dla niemieckiego lub pt_BR dla brazylijskiego wariantu języka portugalskiego.

--lang JĘZYK
    Podaj język, jakiego chcesz używać. Trzeba podać nazwę jezyka rozpoznawaną przez przez Tux Paint. Wybierz jedną z nazw języków wymienionych poniżej:

    -   english | american-english
    -   bokmal
    -   brazilian-portuguese | portuges-brazilian | brazilian
    -   british | british-english
    -   catalan | catala
    -   czech | cesky
    -   chinese
    -   danish | dansk
    -   dutch
    -   finnish | suomi
    -   french | francais
    -   german | dutch
    -   greek
    -   hungarian | magyar
    -   icelandic | islenska
    -   indonesian | bahasa-indonesia
    -   italian | italiano
    -   japanese
    -   korean
    -   lithuanian | lietuviu
    -   norwegian | nynorsk
    -   polish | polski
    -   portuguese | portugues
    -   romanian
    -   spanish | espanol
    -   swedish | svenska
    -   turkish

OPCJE - RÓŻNE

--nosysconfig
    Z tą opcją, Tux Paint nie będzie próbował czytać ogólnosystemowego pliku konfiguracyjnego (zwykle jest to /etc/tuxpaint/tuxpaint.conf).

ŚRODOWISKO
Chociaż Tux Paint może pośrednio odwoływać się do wielu zmiennych systemowych (np. poprzez SDL(3)), bezpośrednio wykorzystuje tylko następujące zmienne:

HOME
    aby określić, gdzie jest miejsce plików zapisywanych i otwieranych poleceniami Zapisz i Otwórz w programie Tux Paint, aby znaleźć położenie obecnie malowanego obrazka podczas wychodzenia z programu Tux Paint i ponownego uruchamiania go oraz aby znaleźć plik konfiguracyjny użytkownika.

LANG
    aby rozpoznać język, którego ma używać, jeśli setlocale(3) odwołuje się do 'LC_MESSAGES'.

PLIKI

/etc/tuxpaint/tuxpaint.conf
    Ogólnosystemowy plik konfiguracyjny. Jest czytany w pierwszej kolejności (chyba że w wierszu poleceń podano opcję --nosysconfig).

    (Tworzony podczas instalacji.)

$HOME/.tuxpaintrc
    Plik konfiguracyjny użytkownika. Mona go użyć do wybierania opcji domyślnych (zamiast podawania ich za każdym razem w wierszu poleceń), i/lub do nadpisywania ustawień zawartych w ogólnosystemowym pliku konfiguracyjnym.

    (Nie jest tworzony ani modyfikowany automatycznie; trzeba go utworzyć ręcznie.)

$HOME/.tuxpaint/saved/
    Katalog zapisanych wcześniej obrazków (i miniatur). Tylko pliki znajdujące się w tym katalogu będą dostępne po wydaniu polecenia Open w programie Tux Paint. (Zobacz tuxpaint-import(1).)

    (Tworzony podczas użycia polecenia Zapisz.)

$HOME/.tuxpaint/current_id.txt
    Informacja o obrazku, który był zmieniany gdy ostatnio zakończono działanie Tux Painta. (Obrazek ten jest automatycznie ładowany, gdy następnym razem uruchomimy Tux Paint.)

    (Tworzony, gdy Tux Paint Zakończy działanie.)

COPYRIGHT
Ten program jest wolno dostępny; można go rozpowszechniać i/lub zmieniać zgodnie z warunkami Licencji Publicznej GNU (GPL) opublikowanej przez Free Software Foundation; albo wersji 2 tejże Licencji, albo (według Twojego uznania) dowolnej późniejszej wersji.

INNE INFORMACJE
Najważniejszym miejscem z informacjami o programie Tux Paint jest jego strona domowa http://www.newbreedsoftware.com/tuxpaint/.

AUTORZY
Bill Kendrick. <bill@newbreedsoftware.com>

Z łatkami, poprawkami, rozszerzeniami, tłumaczeniami, dokumentacją i pomocą w innej postaci ze strony wielu osób, wśród których są (ale to nie wszyscy):

Daniel Andersson, Ben Armstrong, Denis Bodor, Herman Bruyninckx, Laurentiu Buzdugan, Pere Pujal Carabantes, Jacques Chion, Ricardo Cruz, Doruk Fisek, Fabian Franz, Gabriel Gazzan, The Greek Linux i18n Team, Robert Glowczynski, Sam "Criswell" Hart, Tedi Heriyanto, Pjetur G. Hjaltason, Karl Ove Hufthammer, Rasmus Erik Voel Jensen, Wang Jian, Kazuhiko, Mark Kim, Thomas Klausner, Marcin 'Shard' Konicki, Arkadiusz Lipiec, Martin, Marco Milanesi, Primoz Peterlin, Milan Plzik, John Popplewell, Geert Stams, Peter Sterba, Tarmo Toikkanen, TOYAMA Shin-ichi, Daniel Jose Viana, Charles Vidal i Damian Yerrick.

ZOBACZ TAKŻE
tuxpaint-import(1), xpaint(1), gpaint(1), gimp(1)

I dokumentację w katalogu /usr/[local/]share/doc/tuxpaint/.